Rhapsody Software

Recommended System Requirements

Minimum System Requirements

Notes

Device-Transfer Requirements

Windows Vista or Windows XP with Windows Media Player 11 are recommended for using Rhapsody Premiere with a PlaysForSure device.

Regional Requirements

Rhapsody is only available to users in the United States at this time.

Does Rhapsody 4 work with the Intel-based Macintosh?

No. The Intel-based Macintosh is not compatible with Rhapsody at this time.

Rhapsody.com Requirements

Rhapsody.com's streamlined Internet access to Rhapsody works with Windows, Macintosh, and Linux operating systems. You must have Flash version 9.0.28.0 or above to play music on our site.

The Rhapsody.com Player appears in a pop-up window. You will need to have pop-up and Flash blocking disabled.

Regional Requirements

Rhapsody is only available to users in the United States at this time.

Windows Requirements

Macintosh Requirements

Linux Requirements

Cloud SyncTM Requirements

Windows Requirements

Macintosh Requirements

Supported File Formats